Package org.springframework.http.converter.feed

# Class AtomFeedHttpMessageConverter

java.lang.Object
org.springframework.http.converter.AbstractHttpMessageConverter<T>
org.springframework.http.converter.feed.AbstractWireFeedHttpMessageConverter<com.rometools.rome.feed.atom.Feed>
org.springframework.http.converter.feed.AtomFeedHttpMessageConverter

All Implemented Interfaces:
  `HttpMessageConverter<com.rometools.rome.feed.atom.Feed>`

public class AtomFeedHttpMessageConverter extends AbstractWireFeedHttpMessageConverter<com.rometools.rome.feed.atom.Feed>
Implementation of `HttpMessageConverter` that can read and write Atom feeds. Specifically, this converter can handle `Feed` objects from the ROME project.

NOTE: As of Spring 4.1, this is based on the `com.rometools` variant of ROME, version 1.5. Please upgrade your build dependency.

By default, this converter reads and writes the media type (`application/atom+xml`). This can be overridden through the `supportedMediaTypes` property.

Since:
  3.0.2
Author:
  Arjen Poutsma
See Also:
  - `Feed`

## Field Summary

### Fields inherited from class org.springframework.http.converter.feed.AbstractWireFeedHttpMessageConverter

`DEFAULT_CHARSET`

### Fields inherited from class org.springframework.http.converter.AbstractHttpMessageConverter

`logger`

## Constructor Summary

Constructors
Constructor
Description
`AtomFeedHttpMessageConverter()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`supports(Class<?> clazz)`
Indicates whether the given class is supported by this converter.

### Methods inherited from class org.springframework.http.converter.feed.AbstractWireFeedHttpMessageConverter

`readInternal, supportsRepeatableWrites, writeInternal`

### Methods inherited from class org.springframework.http.converter.AbstractHttpMessageConverter

`addDefaultHeaders, canRead, canRead, canWrite, canWrite, getContentLength, getDefaultCharset, getDefaultContentType, getSupportedMediaTypes, read, setDefaultCharset, setSupportedMediaTypes, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.http.converter.HttpMessageConverter

`getSupportedMediaTypes`

## Constructor Details

### AtomFeedHttpMessageConverter

public AtomFeedHttpMessageConverter()

## Method Details

### supports

protected boolean supports(Class<?> clazz)
Description copied from class: `AbstractHttpMessageConverter`
Indicates whether the given class is supported by this converter.

Specified by:
  `supports` in class `AbstractHttpMessageConverter<com.rometools.rome.feed.atom.Feed>`
Parameters:
  `clazz` - the class to test for support
Returns:
  `true` if supported; `false` otherwise